<?php
/**
 * Block Patterns
 *
 * @since 1.0.0
 */

/**
 * Registers pattern categories for Housekeeper Services
 *
 * @since 1.0.0
 *
 * @return void
 */
function housekeeper_services_register_pattern_category() {
	$block_pattern_categories = array(
		'banner'      => array( 'label' => __( 'Housekeeper Services Patterns', 'housekeeper-services' ) ),
		'product'  => array( 'label' => __( 'Product', 'housekeeper-services' ) ),
	);

	$block_pattern_categories = apply_filters( 'housekeeper_services_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties ); // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_pattern_category
		}		
	}
}
add_action( 'init', 'housekeeper_services_register_pattern_category', 9 );


